StatsHub Docs
Endpoint referenceEvent

/event/extra-stats-batch

POST
/api/v2/event/extra-stats-batch

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/api/v2/event/extra-stats-batch" \  -H "Content-Type: application/json" \  -d '{    "eventIds": [      null    ]  }'
{  "$schema": "https://example.com/schemas/EventExtraStatsBatchOKBody.json",  "results": [    {      "awayTeamName": "string",      "data": [        {          "firstHalfFouls": 0,          "firstHalfFoulsWon": 0,          "firstHalfShots": 0,          "firstHalfShotsOnTarget": 0,          "headedShot": 0,          "headedShotOnTarget": 0,          "playerId": "string",          "playerName": "string",          "playerSlug": "string",          "shotsOnTargetOutsideBox": 0,          "shotsOutsideBox": 0        }      ],      "eventId": 0,      "hasCommentary": true,      "homeTeamName": "string",      "matchStatus": "string",      "message": "string"    }  ]}